Bug 55376 - LPRng printcap_path list
LPRng printcap_path list
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-30 11:37 EST by derrien
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-13 12:19:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description derrien 2001-10-30 11:37:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; SunOS 5.7 sun4u)

Description of problem:
In /etc/lpd.conf : printcap_path=/net/local/lib/printcap:/etc/printcap

[root@viviane root]# lpq
Read_file_list: cannot stat required file '/net/local/lib/printcap' - No
such file or directory

If the first file in the list doesn't exist LPRng doesn't try to use the

From lpd.conf man :
              (default:             "etc/printcap:/usr/etc/print-
              cap:/var/spool/lpd/printcap.%h")  The  location  of
              the  printcap  database  information.  If a file or
              filter does not exist, it is  skipped. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. First file in printcap_path list doesn't exist.

Additional info:
Comment 1 Tim Waugh 2002-02-15 03:48:28 EST
Should be fixed in LPRng-3.8.5-3.  Thanks.
Comment 2 Tim Waugh 2002-03-05 07:03:17 EST
This change will be reverted in a future LPRng package; apparently it is the
documentation that is wrong.

Note You need to log in before you can comment on or make changes to this bug.